Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045517
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Coupons OTFmajorhave not tried2020-11-26 16:522020-12-04 13:09
ReporteraferrazView Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045517: OBCPOTFCouponrulesPrint masterdata model not filtered by org

DescriptionOBCPOTFCouponrulesPrint masterdata model not filtered by org
Steps To Reproduce- Login in https://livebuilds.openbravo.com/retail_modules_pgsql_pi [^]
- Open "OTF_5_EUR" OTF Coupons Generation Rules
- Move to Print tab and remove the record created for * org.
- Create three new records in Print tab:
  First one for * org, "English (USA)" language and "*" print title and text.
  Second one for "Vall Blanca Store" org, "English (USA)" language and "Vall Blanca Store" print title and text.
  Third one for "Vall Boí Store" org, "English (USA)" language and "Vall Boí Store" print title and text.
- Login in https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=VBS-1 [^]
- Create a ticket with one unit of Bivy bag gore-tex in order to gnerate the above coupon.
  Check the printed coupon can be any of the three defined: "*", "Vall Blanca Store" or "Vall Boí Store".
Proposed SolutionAdd e.$naturalOrgCriteria filter in CouponrulesPrint.getQuery().
In org.openbravo.retail.discounts.coupons.otf/js/utils.js line 567, take the OBCPOTFCouponrulesPrint that applies to current store.
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124706)
hgbot (developer)
2020-12-04 06:24

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/5 [^]
(0124711)
hgbot (developer)
2020-12-04 13:09

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/5 [^]
(0124712)
hgbot (developer)
2020-12-04 13:09

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf [^]
Changeset: 40a5907db405e508112feb5936f25ee5a3f3fa19
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-12-02T22:22:38+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/commit/40a5907db405e508112feb5936f25ee5a3f3fa19 [^]

Fixed BUG-45517: Fixes OBCPOTFCouponrulesPrint masterdata model to filter by org
* Included orgLevel property in OBCPOTFCouponrulesPrint model
* Filtered print with least orgLevel

---
M src/org/openbravo/retail/discounts/coupons/otf/master/CouponUtils.java
M src/org/openbravo/retail/discounts/coupons/otf/master/CouponrulesPrint.java
M src/org/openbravo/retail/discounts/coupons/otf/master/CouponrulesPrintProperties.java
M web/org.openbravo.retail.discounts.coupons.otf/js/model/CouponrulesPrint.js
M web/org.openbravo.retail.discounts.coupons.otf/js/utils.js
---

- Issue History
Date Modified Username Field Change
2020-11-26 16:52 aferraz New Issue
2020-11-26 16:52 aferraz Assigned To => Retail
2020-11-26 16:52 aferraz Triggers an Emergency Pack => No
2020-11-26 16:56 aferraz Summary Coupon printing not correct => OBCPOTFCouponrulesPrint masterdata model not filtered by org
2020-11-26 16:56 aferraz Description Updated View Revisions
2020-11-26 16:56 aferraz Proposed Solution updated
2020-11-26 17:01 aferraz File Added: 45517.diff
2020-11-26 17:03 aferraz Tag Attached: NOR
2020-11-26 17:53 aferraz Steps to Reproduce Updated View Revisions
2020-11-26 17:55 aferraz Proposed Solution updated
2020-11-26 17:55 aferraz File Deleted: 45517.diff
2020-11-27 09:13 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-11-27 14:21 prakashmurugesan88 Status new => scheduled
2020-12-04 06:24 hgbot Note Added: 0124706
2020-12-04 13:09 hgbot Note Added: 0124711
2020-12-04 13:09 hgbot Resolution open => fixed
2020-12-04 13:09 hgbot Status scheduled => closed
2020-12-04 13:09 hgbot Note Added: 0124712


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker